class CreateFileTunels < ActiveRecord::Migration[6.0]
  def change
    create_table :file_tunels do |t|
      t.string :name
      t.text :description
      t.string :slug
      t.string :token
      t.string :from_email
      t.string :from_name
      t.boolean :enabled, :default => true
      t.datetime :start_at
      t.datetime :end_at
      t.string :fili_text
      t.integer :download_times, :default => 0
      t.boolean :init_mail, :default => true
      t.boolean :send_mail, :default => true
      t.references :p_customer, foreign_key: true
      t.references :admin, foreign_key: true

      t.timestamps
    end
  end
end
